> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete connector file



## OpenAPI

````yaml /api-reference/membrane-api.json delete /connectors/{idOrKey}/files/{path}
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /connectors/{idOrKey}/files/{path}:
    delete:
      tags:
        - Connectors
      summary: Delete connector file
      operationId: deleteConnectorFile
      parameters:
        - name: idOrKey
          required: true
          in: path
          schema:
            type: string
        - name: path
          required: true
          in: path
          description: Path to the file
          schema:
            type: string
      responses:
        '200':
          description: ''
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````